Bug 1899769 (CVE-2020-27748) - CVE-2020-27748 xdg-utils: local file inclusion vulnerability
Summary: CVE-2020-27748 xdg-utils: local file inclusion vulnerability
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2020-27748
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1899771 1899772 1899770 1899773 1899774 1899775 1900048
Blocks: 1899275
TreeView+ depends on / blocked
 
Reported: 2020-11-20 00:06 UTC by Todd Cullum
Modified: 2021-02-17 19:43 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in the xdg-email component of xdg-utils-1.1.0-rc1 and newer. When handling mailto: URIs, xdg-email allows attachments to be discreetly added via the URI when being passed to Thunderbird. An attacker could potentially send a victim a URI that automatically attaches a sensitive file to a new email. If a victim user does not notice that an attachment was added and sends the email, this could result in sensitive information disclosure. It has been confirmed that the code behind this issue is in xdg-email and not in Thunderbird.
Clone Of:
Environment:
Last Closed: 2021-01-28 16:13:37 UTC


Attachments (Terms of Use)

Description Todd Cullum 2020-11-20 00:06:07 UTC
A flaw was found in the xdg-email component of xdg-utils-1.1.0-rc1 and newer. When handling mailto: URIs, xdg-email allows attachments to be discreetly added via the URI when being passed to Thunderbird. An attacker could potentially send a victim a URI that automatically attaches a sensitive file to a new email. If a victim user does not notice that an attachment was added and sends the email, this could result in sensitive information disclosure. It has been confirmed that the code behind this issue is in xdg-email and not in Thunderbird.

Reference: https://bugzilla.mozilla.org/show_bug.cgi?id=1613425
Upstream commit: https://gitlab.freedesktop.org/Mic92/xdg-utils/-/commit/1f199813e0eb0246f63b54e9e154970e609575af

Comment 1 Todd Cullum 2020-11-20 00:06:09 UTC
Acknowledgments:

Name: Jens Mueller (Ruhr University Bochum)

Comment 2 Todd Cullum 2020-11-20 00:07:57 UTC
External References:

xdg-utils bug: https://gitlab.freedesktop.org/xdg/xdg-utils/-/issues/177

Comment 4 Todd Cullum 2020-11-20 00:14:23 UTC
Created flatpak-xdg-utils tracking bugs for this issue:

Affects: fedora-31 [bug 1899773]
Affects: fedora-32 [bug 1899774]
Affects: fedora-33 [bug 1899775]


Created xdg-utils tracking bugs for this issue:

Affects: fedora-31 [bug 1899770]
Affects: fedora-32 [bug 1899771]
Affects: fedora-33 [bug 1899772]

Comment 5 Todd Cullum 2020-11-20 00:46:41 UTC
Mitigation:

To mitigate this flaw, either:
1. Do not use mailto links at all
2. Always double-check in the user interface that there are no unwanted attachments before sending emails; especially when the email originates from clicking a mailto link.

Comment 7 Todd Cullum 2020-11-20 17:16:55 UTC
Statement:

This flaw is out of support scope for Red Hat Enterprise Linux 6 and 7. Please see https://access.redhat.com/support/policy/updates/errata/ for more details.

Comment 9 Alexander Larsson 2021-01-28 16:13:37 UTC
No acceptable patch upstream, the only one there is regresses features being used. And the available mitigation explained above seems pretty natural in general. Making this WONTFIX.


Note You need to log in before you can comment on or make changes to this bug.